#### D.6.14.1 isTame

Procedure from library `gmspoly.lib` (see gmspoly_lib).

Usage:
  isTame(f); poly f

Assume:
  basering has no variables named w(1),w(2),...

Return:

      int k=
        1;  if f is tame in the sense of Broughton [Bro88,3]
        0;  if f is not tame

Remarks:
  procedure implements Proposition 3.1 in [Bro88]

Example:

    LIB "gmspoly.lib";
    ring R=0,(x,y),dp;
    isTame(x2y+x);
    ==> 0
    isTame(x3+y3+xy);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.